apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.38.0 (a8f5d1cbd)
  labels:
    io.kompose.service: tdarr
  name: tdarr
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: tdarr
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.38.0 (a8f5d1cbd)
      labels:
        io.kompose.service: tdarr
    spec:
      containers:
        - env:
            - name: PGID
              value: "1002"
            - name: PUID
              value: "1002"
            - name: TZ
              value: Europe/Paris
            - name: UMASK_SET
              value: "002"
            - name: ffmpegVersion
              value: "6"
            - name: inContainer
              value: "true"
            - name: internalNode
              value: "true"
            - name: nodeName
              value: ServerNode
            - name: serverIP
              value: 0.0.0.0
            - name: serverPort
              value: "8266"
            - name: webUIPort
              value: "8265"
          image: ghcr.io/haveagitgat/tdarr:latest
          name: tdarr
          ports:
            - containerPort: 8265
              protocol: TCP
            - containerPort: 8266
              protocol: TCP
          securityContext:
            privileged: true
          volumeMounts:
            - mountPath: /app/configs
              name: tdarr
            - mountPath: /app/server
              name: tdarr-server
            - mountPath: /app/logs
              name: tdarr-logs
            - mountPath: /data/media
              name: media
            - mountPath: /temp
              name: transcode-cache
        - env:
            - name: PGID
              value: "1002"
            - name: PUID
              value: "1002"
            - name: TZ
              value: Europe/Paris
            - name: UMASK_SET
              value: "002"
            - name: inContainer
              value: "true"
            - name: nodeName
              value: MainNode
            - name: serverIP
              value: 0.0.0.0
            - name: serverPort
              value: "8266"
          image: ghcr.io/haveagitgat/tdarr_node:latest
          name: tdarr-node
          volumeMounts:
            - mountPath: /app/configs
              name: tdarr
            - mountPath: /app/logs
              name: tdarr-logs
            - mountPath: /data/media
              name: media
            - mountPath: /temp
              name: transcode-cache
      restartPolicy: Always
      volumes:
        - name: tdarr
          persistentVolumeClaim:
            claimName: tdarr
        - name: tdarr-server
          persistentVolumeClaim:
            claimName: tdarr-server
        - name: tdarr-logs
          persistentVolumeClaim:
            claimName: tdarr-logs
        - name: media
          persistentVolumeClaim:
            claimName: media
        - name: transcode-cache
          persistentVolumeClaim:
            claimName: transcode-cache
